#include <iostream>

using namespace std;

 int main()
{
    char a[2];
    int na,nb,i=0,j=0,k=0,pom;

    cin>>a[0]>>a[1];
    cin>>na>>nb;

    if(na<nb)
    {
        pom=na;
        na=nb;
        nb=pom;
        pom=a[0];
        a[0]=a[1];
        a[1]=pom;
    }
    if(((nb+1) == na) || (nb == na))
    {
        while(j+i<nb+na)
        {
            if(i<na)
            {
                cout<<a[0];
                i++;
            }
            if(j<nb)
            {
                cout<<a[1];
                j++;
            }
        }
    }
    else
        cout<< "nemoguce";


    return 0;
}